<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProductSizeRequest extends FormRequest
{
    /**
     * @return array<array<string>>
     */
    public function rules(): array
    {
        return [
            'order_product_id' => ['required', 'exists:order_products'],
            'size'             => ['required'],
            'amount'           => ['required'],
        ];
    }

    public function authorize(): bool
    {
        return true;
    }
}
